<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="settings-area">
        <div class="button-icon">
            <i class="icon-settings"></i>
        </div>
        <div class="settings-dropdown">
            <div class="settings-dropdown-item" @click="showCreateDidDocument = true">
                <i class="icon-file"></i>
                <span>Generate Did Document</span>
            </div>
            <div class="settings-dropdown-item" @click="showCreateLegalParticipant = true">
                <i class="icon-user-check"></i>
                <span>Generate Legal Participant</span>
            </div>
        </div>
    </div>   
    <ClientOnly>
        <Teleport to="#modals-container">
            <ModalsCreateDidDocument v-if="showCreateDidDocument" @toggle="close" />
            <ModalsCreateLegalParticipant v-if="showCreateLegalParticipant" @toggle="closeLegal" />
        </Teleport>
    </ClientOnly>
</template> 

<script setup lang="ts">

const emit = defineEmits(['refresh-data']);
const showCreateDidDocument = ref(false);
const showCreateLegalParticipant = ref(false);

const close = () => {
    showCreateDidDocument.value = false;
	emit('refresh-data');
};

const closeLegal = () => {
    showCreateLegalParticipant.value = false;
    emit('refresh-data');
};
</script>